_PurpleConvChat Struct Reference

Data specific to Chats. More...

`#include <conversation.h>`

## Data Fields

PurpleConversation * | conv
| The parent conversation. More...
GList * | in_room
| The users in the room. More...
GList * | ignored
| Ignored users. More...
char * | who
| The person who set the topic. More...
char * | topic
| The topic. More...
int | id
| The chat ID. More...
char * | nick
| Your nick in this chat. More...
gboolean | left
| We left the chat and kept the window open.
GHashTable * | users
| Hash table of the users in the room. More...

## Detailed Description

Data specific to Chats.

Definition at line 270 of file conversation.h.

## Field Documentation

PurpleConversation* _PurpleConvChat::conv

The parent conversation.

Definition at line 272 of file conversation.h.

int _PurpleConvChat::id

The chat ID.

Definition at line 280 of file conversation.h.

GList* _PurpleConvChat::ignored

Ignored users.

Definition at line 277 of file conversation.h.

GList* _PurpleConvChat::in_room

The users in the room.

Deprecated:
  Will be removed in 3.0.0

Definition at line 274 of file conversation.h.

char* _PurpleConvChat::nick

Your nick in this chat.

Definition at line 281 of file conversation.h.

char* _PurpleConvChat::topic

The topic.

Definition at line 279 of file conversation.h.

GHashTable* _PurpleConvChat::users

Hash table of the users in the room.

Since
  2.9.0

Definition at line 284 of file conversation.h.

char* _PurpleConvChat::who

The person who set the topic.

Definition at line 278 of file conversation.h.

The documentation for this struct was generated from the following file:

- conversation.h